%define source_name linuxigd

Summary: The Linux UPNP Internet GATEWAY DEVICE
Name: linux-igd
Version: 1.0
Release: 5%{?dist}
URL: http://linux-igd.sourceforge.net/index.php
Source0: http://downloads.sourceforge.net/%{name}/%{source_name}-%{version}.tar.gz
Patch1: %{source_name}-%{version}.patch
Patch0: %{name}-%{version}-to-cvs20070630.patch
Patch2: %{source_name}-%{version}-restrict-internal-interface.patch
License: GPL+
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: libupnp >= 1.3.1
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
BuildRequires: libupnp-devel

%description
This is a daemon that emulates Microsoft's Internet Connection Service (ICS).
It implements the UPnP Internet Gateway Device specification (IGD) and allows 
UPnP aware clients, such as MSN Messenger to work properly from behind
 a Linux NAT firewall.

%prep
%setup -q -c -n %{name}
%patch0
%patch1
%patch2

%build
pushd %{source_name}-%{version}
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
pushd %{source_name}-%{version}
make DESTDIR=%{buildroot} install
iconv -f latin1 -t utf8 CHANGES > ../CHANGES
iconv -f latin1 -t utf8 TODO > ../TODO
cp LICENSE ../
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/linuxigd/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/linuxigd/*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/upnpd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/upnpd
%attr(0644,root,root) %{_mandir}/man8/upnpd.8.gz
%{_sbindir}/upnpd
%{_initrddir}/upnpd
%doc CHANGES LICENSE TODO

%post
/sbin/chkconfig --add upnpd

%preun
if [ $1 = 0 ] ; then
	/sbin/service upnpd stop>/dev/null 2>&1
	/sbin/chkconfig --del upnpd
fi
if [ "$1" -ge "1" ]; then
	/sbin/service upnpd condrestart >/dev/null 2>&1
fi

%changelog
* Mon Aug 4 2008 Masahiro Hasegawa <masahase@gmail.com> - 1.0-5
- Fix Bug #457730
* Fri Jan 18 2008 Masahiro Hasegawa <masahase@gmail.com> - 1.0-4
- Merge CVS 20070630
* Tue Dec 25 2007 Masahiro Hasegawa <masahase@gmail.com> - 1.0-3
- more rewritten by Fedora's rule
* Tue Dec 25 2007 Masahiro Hasegawa <masahase@gmail.com> - 1.0-2
- more rewritten by Fedora's rule
* Mon Dec 24 2007 Masahiro Hasegawa <masahase@gmail.com>
- Rewritten by Fedora's rule
* Wed Oct 31 2007 Masahiro Hasegawa <masahase@gmail.com>
- Version 1.0 release
- first build for version 1.0 (Release)
* Mon Aug 14 2006 Tim Brody <tdb01r@ecs.soton.ac.uk>
- Version 0.95 Release 1
- first build for version 0.95 (Release)
* Sun Sep 26 2004 Watanabe Keiji <k@elt.ne.jp>
- Version 0.99 Release ELT1
- first build for version 0.92 (CVS Version on Sep 25, 2004.)
